FDMDV_GET_TEST_BITS(1)

NAME
fdmdv_get_test_bits - a diagnostic tool for the codec2 library to generate data for fdmdv_mod.

SYNOPSIS
fdmdv_get_test_bits usage: OutputBitFile numBits [Nc]

DESCRIPTION

Generates a file of packed test bits, useful for input to fdmdv_mod.

EXAMPLE
 fdmdv_get_test_bits test.c2 1400

OPTIONS
The first argument, OutputBitFile is the file name of a file to be created with test sample data. If "-" is given the output is sent to stdout.

The second argument, numBits is an integer number of bits per second to use.

The optional third argument, [Nc] is the number of carriers to use in the modem. The default is 14. The minimum is 2 and the maximum is 20.

SEE ALSO
fdmdv_mod(1), fdmdv_demod(1) fdmdv_put_test_bits(1)